# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-File-MMagic
Version:	1.27
Release:	12.%{__distinit}%{__distvers}
Summary:	A Perl module emulating the file(1) command
Group:		Development/Libraries
License:	ASL 1.0 and BSD
URL:		http://search.cpan.org/dist/File-MMagic/
Source0:	http://www.cpan.org/authors/id/K/KN/KNOK/File-MMagic-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module attempts to guess a file's type from its contents like the file(1)
command.

%prep
%setup -q -n File-MMagic-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README.en
%{perl_vendorlib}/File/
%{_mandir}/man3/File::MMagic.3pm*

%changelog
* Tue Mar 15 2011 Paul Howarth <paul@city-fan.org> - 1.27-12
- Import from Fedora

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.27-10
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.27-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.27-8
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.27-5
- Rebuild for new perl

* Fri Oct 26 2007 Robin Norwood <rnorwood@redhat.com> - 1.27-4
- Remove BR: perl for package review
- Resolves: bz#226257

* Wed Aug 29 2007 Robin Norwood <rnorwood@redhat.com> - 1.27-3
- Update license tag
- Add BuildRequires: perl(ExtUtils::MakeMaker)

* Fri Jul 20 2007 Robin Norwood <rnorwood@redhat.com> - 1.27-2
- Add fixes from EPEL branch
- Fix minor specfile issues

* Mon Jun 05 2006 Jason Vas Dias <jvdias@redhat.com> - 1.27-1
- Upgrade to 1.27

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.26-1
- Upgrade to 1.26
- Rebuild for new perl-5.8.8

* Tue Jan 10 2006 Jason Vas Dias <jvdias@redhat.com> - 1.25-1
- Fix bug 176717: upgrade to 1.25

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com> - 1.22-2
- Rebuilt for new gcc

* Sat Apr 02 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-1
- Update to 1.22
- Spec cleanup (#153204)

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> - 1.21-2
- Rebuild

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> - 1.21-1
- Move to 1.21

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- Update to latest version from CPAN

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- Automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- Update to 1.15

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated.
